Difference between revisions of "Draft PolarArray/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{Emphasis|Voir aussi:}} Draft API et FreeCAD Scripts de Base.")
(Updating to match new version of source page)
 
(12 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav
+
{{Docnav/fr
 
|[[Draft_Draft2Sketch/fr|Draft vers Esquisse]]
 
|[[Draft_Draft2Sketch/fr|Draft vers Esquisse]]
 
|[[Draft_LinkArray/fr|Link Array]]
 
|[[Draft_LinkArray/fr|Link Array]]
Line 9: Line 9:
 
}}
 
}}
  
{{GuiCommand/rf
+
{{GuiCommand/fr
 
|Name=Draft PolarArray
 
|Name=Draft PolarArray
 
|Name/fr=Draft Réseau polaire
 
|Name/fr=Draft Réseau polaire
Line 33: Line 33:
  
 
# Sélectionnez un objet à partir duquel vous souhaitez créer le réseau polaire.
 
# Sélectionnez un objet à partir duquel vous souhaitez créer le réseau polaire.
# Appuyez sur le bouton {{Button|[[File:Draft_PolarArray.svg|16px]] [[Draft_PolarArray/fr|Polar array]]}}. Si aucun objet n'est sélectionné, le [[task_panel | task panel]] s'ouvre mais vous devez toujours sélectionner un objet pour continuer.
+
# Appuyez sur le bouton {{Button|[[File:Draft_PolarArray.svg|16px]] [[Draft_PolarArray/fr|Polar array]]}}. Si aucun objet n'est sélectionné, le [[task_panel/fr|Panneau des tâches]] s'ouvre mais vous devez toujours sélectionner un objet pour continuer.
 
# Choisissez l'angle polaire qui détermine où sera le dernier élément du réseau.
 
# Choisissez l'angle polaire qui détermine où sera le dernier élément du réseau.
 
# Choisissez le nombre d'éléments dans le tableau. Minimum de 2, maximum de 99.
 
# Choisissez le nombre d'éléments dans le tableau. Minimum de 2, maximum de 99.
Line 55: Line 55:
 
== Propriétés ==
 
== Propriétés ==
  
Un objet [[Draft_PolarArray/fr|Draft Réseau]] est basé sur[[Part_Feature/fr|Part Feature]] (classe {{incode|Part::Feature}}) et partage ainsi toutes les propriétés de ce dernier. Outre les propriétés répertoriées dans [[Part_Feature/fr|Part Feature]], l'objet Array possède des propriétés supplémentaires.
+
Un objet [[Draft_PolarArray/fr|Draft Réseau]] est basé sur [[Part_Feature/fr|Part Feature]] (classe {{incode|Part::Feature}}) et partage ainsi toutes les propriétés de ce dernier. Outre les propriétés répertoriées dans [[Part_Feature/fr|Part Feature]], l'objet Array possède des propriétés supplémentaires.
  
 +
<div class="mw-translate-fuzzy">
 
Voir l'outil [[Draft_Array/fr|Draft Réseau]] pour les informations complètes.
 
Voir l'outil [[Draft_Array/fr|Draft Réseau]] pour les informations complètes.
 +
</div>
  
 
== Script ==
 
== Script ==
Line 63: Line 65:
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripts de Base]].
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripts de Base]].
  
The Array tool can be used in [[macros|macros]] and from the [[Python_console|Python console]] by using the following function.
+
L'outil Réseau (Array) peut être utilisé dans une [[macros/fr|macro]] et dans la console [[Python/fr|Python]] avec la commande:
  
 
{{Code|code=
 
{{Code|code=
Line 69: Line 71:
 
}}
 
}}
  
* Creates an array from the objects contained in {{incode|obj}}, which can be a single object or a list of objects.
+
* Crée un tableau à partir des objets contenus dans {{incode|obj}} qui peut être un seul objet ou une liste d'objets.
* The value of {{incode|center}} is a vector that defines the center of the array circle; {{incode|angle}} is the angle of the arc in degrees, and {{incode|number}} is the number of copies in the polar pattern, including the original object.
+
* La valeur de {{incode|center}} est un vecteur qui définit le centre du cercle du tableau; {{incode|angle}} est l'angle de l'arc en degrés et {{incode|number}} est le nombre de copies dans le motif polaire y compris l'objet d'origine.
* If {{incode|use_link}} is {{TRUE}} the created copies will be [[App_Link|App Links]] and not regular copies.
+
* Si {{incode | use_link}} est {{TRUE}}, les copies créées seront [[App_Link/fr|App Links]] et non des copies régulières.
* {{incode|array_list}} is returned with the new copies.
+
* {{incode|array_list}} est retourné avec les nouvelles copies.
** {{incode|array_list}} is either a single object or a list of objects, depending on the input {{incode|obj}}.
+
** {{incode|array_list}} est soit un objet unique soit une liste d'objets selon l'entrée {{incode|obj}}.
  
Example:
+
Exemple:
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD as App
 
import FreeCAD as App
Line 89: Line 91:
 
}}
 
}}
  
{{Draft Tools navi}}
+
{{Docnav/fr
{{Userdocnavi}}
+
|[[Draft_Draft2Sketch/fr|Draft vers Esquisse]]
 +
|[[Draft_LinkArray/fr|Link Array]]
 +
|[[Draft_Module/fr|Atelier Draft]]
 +
|IconL=Draft_Draft2Sketch.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_LinkArray.svg
 +
}}
 +
 
 +
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 +
{{clear}}

Latest revision as of 21:46, 25 March 2020

Other languages:
English • ‎français
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg

Draft PolarArray.svg Draft Réseau polaire

Emplacement du menu
Modify → Polar array
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Réseau, Draft Réseau circulaire, Draft Chemin pour série de copies, Draft Matrice de points, Draft Clone


Description

L'outil Draft PolarArray.svg Draft PolarArray crée un réseau à partir d'un objet sélectionné en plaçant les copies le long d'une circonférence.

Cet outil peut être utilisé sur des formes 2D créées avec l'atelier Draft mais également sur de nombreux types d'objets 3D tels que ceux créés avec l'atelier Part ou l'atelier PartDesign.

Pour positionner les copies sur une grille rectangulaire, utilisez Draft Réseau; pour vous positionner dans un motif circulaire, utilisez Draft réseau Circulaire; pour positionner des copies le long d'un chemin, utilisez Draft réseau sur un chemin; pour positionner les copies aux points spécifiés, utilisez Draft Matrice de points; pour créer des copies ou des clones et les placer manuellement, utilisez Draft Déplacer, Draft Rotation et Draft Clone.

Draft PolarArray example.png

Un réseau polaire d'un objet.


Utilisation

  1. Sélectionnez un objet à partir duquel vous souhaitez créer le réseau polaire.
  2. Appuyez sur le bouton Draft PolarArray.svg Polar array. Si aucun objet n'est sélectionné, le Panneau des tâches s'ouvre mais vous devez toujours sélectionner un objet pour continuer.
  3. Choisissez l'angle polaire qui détermine où sera le dernier élément du réseau.
  4. Choisissez le nombre d'éléments dans le tableau. Minimum de 2, maximum de 99.
  5. Choisissez le centre de l'axe de rotation. Vous pouvez cliquer sur la vue 3D pour définir simultanément la position du centre de rotation et terminer la commande.
  6. Facultativement, vérifiez les options de fusible ou de lien.
  7. Appuyez sur OK pour terminer la commande.

Remarques:

  • Par défaut, l'axe de rotation est l'axe Z positif (0, 0, 1). Ceci peut être modifié dans l'Éditeur de propriétés après la création de l'objet.
  • L'angle polaire est positif dans le sens anti-horaire et négatif dans le sens horaire.
  • Chaque élément du tableau est un clone exact de l'objet d'origine, mais l'ensemble du tableau est considéré comme une seule unité en termes de propriétés et d'apparence.
  • Cette commande crée le même objet que celui créé avec les outils Draft Réseau et Draft Réseau polaire. Par conséquent, le réseau peut être converti en orthogonal, polaire ou circulaire en changeant simplement ses propriétés.

Options

  • Appuyez sur Reset point pour définir le centre de rotation sur l'origine (0, 0, 0).
  • Si la case Fuse est cochée, les objets résultants dans le tableau seront fusionnés en une seule forme, s'ils se touchent ou se croisent.
  • Si la case Use Links est cochée, les objets résultants dans le tableau seront référencées entre eux App Links au lieu de simples copies. Cela améliore l'utilisation de la mémoire du tableau, car le lien d'application réutilise la forme shape de l'objet d'origine et ne crée pas de nouvelles formes. Si cette option est utilisée, la case à cocher Fuse n'a aucun effet.
  • Appuyez sur Esc ou sur le bouton Cancel pour abandonner la commande en cours.

Propriétés

Un objet Draft Réseau est basé sur Part Feature (classe Part::Feature) et partage ainsi toutes les propriétés de ce dernier. Outre les propriétés répertoriées dans Part Feature, l'objet Array possède des propriétés supplémentaires.

Voir l'outil Draft Réseau pour les informations complètes.

Script

Voir aussi: Draft API et FreeCAD Scripts de Base.

L'outil Réseau (Array) peut être utilisé dans une macro et dans la console Python avec la commande:

array_list = make_polar_array(obj, center, angle, number, use_link)
  • Crée un tableau à partir des objets contenus dans obj qui peut être un seul objet ou une liste d'objets.
  • La valeur de center est un vecteur qui définit le centre du cercle du tableau; angle est l'angle de l'arc en degrés et number est le nombre de copies dans le motif polaire y compris l'objet d'origine.
  • Si use_link est True, les copies créées seront App Links et non des copies régulières.
  • array_list est retourné avec les nouvelles copies.
    • array_list est soit un objet unique soit une liste d'objets selon l'entrée obj.

Exemple:

import FreeCAD as App
import Draft
import draftobjects.polararray as pa

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
center = App.Vector(-1600, 0, 0)
arr = pa.make_polar_array(tri, center, 270, 8)
App.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Esquisse
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg